Bug 245896 - slapo_ppolicy module is missing in openldap-servers
Summary: slapo_ppolicy module is missing in openldap-servers
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap   
(Show other bugs)
Version: 7
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-27 10:06 UTC by Falko Pilz
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 2.3.34-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 17:07:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Falko Pilz 2007-06-27 10:06:02 UTC
Description of problem:
Manpage and ppolicy.schema are in the package, but the module/library is 
missing.

Version-Release number of selected component (if applicable):
openldap-servers-2.3.34-2.fc7.i386.rpm

How reproducible:
ever

Steps to Reproduce:
1. enter the folowing lines (from the end of "man 5 slapo-ppolicy" into 
   /etc/openldap/slapd.conf:
   database bdb
    suffix dc=example,dc=com
    ...
    overlay ppolicy
    ppolicy_default "cn=Standard,ou=Policies,dc=example,dc=com"
2. run slaptest:
 
Actual results:
overlay "ppolicy" not found 
slaptest: bad configuration file!


Expected results:
"configfile testing succeeded"

Additional info:
no

Comment 1 Fedora Update System 2007-07-16 16:54:04 UTC
openldap-2.3.34-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 2 Fedora Update System 2007-07-30 17:07:10 UTC
openldap-2.3.34-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.